Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Interface OAIHarvester

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, OAIObject, EDU.oswego.cs.dl.util.concurrent.Sync, SynchronizedXMLConsumer, SynchronizedXMLPipe, SynchronizedXMLProducer, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

All Known Subinterfaces:
  DocumentBaseOAIHarvester

All Known Implementing Classes:
  AbstractDocumentBaseOAIHarvester, AbstractOAIHarvester

public interface OAIHarvester
extends OAIObject, org.apache.avalon.framework.configuration.Configurable, SynchronizedXMLPipe

Basic interface for an OAI harvester

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Fields inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`ONE_CENTURY, ONE_DAY, ONE_HOUR, ONE_MINUTE, ONE_SECOND, ONE_WEEK, ONE_YEAR`

Method Summary
`java.lang.String[]` | `getAdminEmails()` Gets the admin emails for this harvester
`void` | `purgePastHarvestsData()` Removes all data from datastructures concerning past harvests
`void` | `receiveRequest(java.lang.String requestUrl)` Makes a request using the provided url and consumes the events WITHOUT synchronization Assumes that synchronization is handled by caller
`void` | `receiveSynchronizedRequest(java.lang.String requestUrl)` Makes a request using the provided url and consumes the events WITH synchronization
`void` | `receiveSynchronizedRequest(java.lang.String requestUrl, java.lang.String originalRequestUrl)` Makes a request using the provided url and consumes the events WITH synchronization The original request may be change according past harvests to get new documents since the last harvest date.
`void` | `sendPastHarvestsSummary()` Shows past harvesting request data, if a null handler is provided events should be sent to any consumer, handler, etc. which was previously set
`void` | `sendStoredHarvestingRequests()` Shows stored harvesting request data, if a null handler is provided events should be sent to any consumer, handler, etc. which was previously set
`void` | `setAdminEmails(java.lang.String[] adminEmails)` Sets the admin emails for this harvester
`void` | `setIdentifierName(java.lang.String name)` Sets the name of the element or the value of the attribute with the name "name" such that url pointers to oai records can be read from repository responses

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLProducer
`acquired, setConsumer`

Methods inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`acquire, attempt, release`

Methods inherited from interface fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLConsumer
`acquired`

Method Detail

### getAdminEmails

    public java.lang.String[] getAdminEmails()

  Gets the admin emails for this harvester

### setAdminEmails

    public void setAdminEmails(java.lang.String[] adminEmails)

  Sets the admin emails for this harvester

### setIdentifierName

    public void setIdentifierName(java.lang.String name)

  Sets the name of the element or the value of the attribute with the name "name" such that url pointers to oai records can be read from repository responses

  Parameters:
    `name` -

### sendPastHarvestsSummary

    public void sendPastHarvestsSummary()
                                 throws org.xml.sax.SAXException

  Shows past harvesting request data, if a null handler is provided events should be sent to any consumer, handler, etc. which was previously set

  Throws:
    `org.xml.sax.SAXException`

### sendStoredHarvestingRequests

    public void sendStoredHarvestingRequests()
                                      throws org.xml.sax.SAXException

  Shows stored harvesting request data, if a null handler is provided events should be sent to any consumer, handler, etc. which was previously set

  Throws:
    `org.xml.sax.SAXException`

### purgePastHarvestsData

    public void purgePastHarvestsData()

  Removes all data from datastructures concerning past harvests

### receiveRequest

    public void receiveRequest(java.lang.String requestUrl)

  Makes a request using the provided url and consumes the events WITHOUT synchronization Assumes that synchronization is handled by caller

### receiveSynchronizedRequest

    public void receiveSynchronizedRequest(java.lang.String requestUrl)

  Makes a request using the provided url and consumes the events WITH synchronization

### receiveSynchronizedRequest

    public void receiveSynchronizedRequest(java.lang.String requestUrl,
                                           java.lang.String originalRequestUrl)

  Makes a request using the provided url and consumes the events WITH synchronization The original request may be change according past harvests to get new documents since the last harvest date.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.